/* RESET */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    overflow: hidden;
    box-sizing: border-box;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}

body, textarea {
    line-height: 1.333;
    font-family: proxima-nova, sans-serif;
    font-weight: 400;
    font-style: normal;
    color: #333333;
}

ol, ul {
    list-style: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

p{
    font-size: 14px;
}
#ko{
    height: 100vh;
}

.bold{
    font-weight: bold;
}
.app-listing-container{
    height: 100vh;
    background-color: #FAFAFA;
}

.app-listing-container .app-listings{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    padding: 5px;
}

.app-listing-container .app-listings .app-listing{
    padding: 20px;
    display: grid;
    grid-template-rows: auto auto auto 42px;
    box-shadow: 0px 1px 8px rgba(0, 0, 0, 0.302);
    margin: 10px;
}

.app-listing-container .app-listings .app-listing .icon-container{
    text-align: center;
}

.app-listing-container .app-listings .app-listing .icon-container img{
    max-width: 100%;
}

.app-listing-container .app-listings .app-listing .text-container{
    margin: 10px 0px;
}


.btn {
    color: #FFFFFF;
    border-radius: 3px;
    border: 0 none;
    margin-left: 10px;
    font-weight: 600;
    margin: 3px;
    cursor: pointer;
}
.btn-connect{
    color:#4673f3;
    background: #4673F333 0% 0% no-repeat padding-box;
    border-radius: 3px;
    width: 100%;
    display: block;
    padding: 10px;
    text-align: center;
}

.btn-connect.disabled{
    cursor: default;
    background-color: lightgray;
}

.btn-primary {
    color: #FFFFFF;
    background-color: #4673F3;
    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.302);
    font-weight: 600;
    padding: 8px 20px;
}

    .btn-primary:hover {
        color: #FFFFFF;
        background-color: #164ff0;
    }

    .btn-primary i{
      padding-right: 6px;
    }

.btn-disconnect{
    font-size: 13px;
    text-decoration: underline;
    color: #4673f3;
    padding-left: 4px;
    cursor: pointer;
}

.login-container {
    background-color: #434F66;
    height: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr auto 2fr;
    grid-template-areas: ". . ." ". login-content ." ". . .";
}

.login-content {
    display: grid;
    padding: 16px 24px 16px 24px;
    grid-area: login-content;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0px 3px 6px #00000016;
}

.suitefilesLogo {
    width: 200px;
    height: auto;
}

.login-content .button-container{
    padding: 20px;
    text-align: center;
}

.login-content .info-container{
    padding-top: 8px;
    padding-bottom: 8px;
    text-align: center;
}

.login-content .logo-container {
    text-align: center;
    margin-top: 16px;
    margin-bottom: 16px;
}

.login-content .logo-container img{

}

.logout-container{
    padding: 20px 10px;
}



/* Layout with Flexbox */

.integrationPage {
    display: flex;
    flex-direction: column;
    height: 100vh;
    padding: 24px;
}

.headerSection {
    height: 64px;
    box-shadow: 0px 3px 6px #CCCCCC;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 24px;
    padding-right: 24px;
    background-color: #001333;
}

.integrationIcon {
    width: 280px;
}

.logoutButton {
    display: flex;
    align-items: center;
    height: 30px;
    padding-left: 12px;
    padding-right: 12px;
    color: white;
    font-size: 16px;
    border-style: solid;
    border-width: 1px;
    border-color: white;
    border-radius: 4px;
    cursor: pointer;
}

    .logoutButton:hover {
        background-color: #275CEB;
        border-color: #275CEB;
    }

.integrationboard {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: start;
    max-width: 1148px;
    height: calc(100vh - 64px - 48px);
    margin-left: auto;
    margin-right: auto;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow: -moz-scrollbars-none;
}
.integrationboard::-webkit-scrollbar {
    display: none;
    width: 0 !important
}
.integtationCard {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 250px;
    height: fit-content;
    min-height: 400px;
    padding: 16px;
    margin: 24px 16px;
    border-radius: 6px;
    box-shadow: 0px 3px 6px #AAAAAA;
    background-color: #FFFFFF;
}

.companyLogoContainer {
    display: flex;
    align-items:center;
    width: 150px;
    height: 150px;
    margin: 10px 0px 10px 0px;
}

.companyLogo {
    width: auto;
    max-width: 150px;
    height: auto;
    max-height: 115px;
    margin: 0 auto;
}

.textContainer {
    display: flex;
    flex-direction: column;
}

.companyName {
    font-weight: bold;
    padding: 10px 0px 10px 0px;
}

.companyDescription {
    height: 75px;
}

.providerURLSection {
    display: flex;
    flex-direction: column;
    width: inherit;
    padding-left: inherit;
    padding-right: inherit;
    margin: unset;
}

.inputLabel {
    font-size: 14px;
    color: #767676;
}

.inputField {
    height: 24px;
    margin: 4px 0px 1px 0px;
    padding: 0px 8px 0px 8px;
    /*border-radius: 4px;*/
    font-size: 14px;
}



.buttonSection {
    display: flex;
    flex-direction: row-reverse;
    width: inherit;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-left: inherit;
    padding-right: inherit;
}

.connectButton {
    display: flex;
    /*min-width: 96px;*/
    width: inherit;
    min-height: 36px;
    padding: 4px 16px 4px 16px;
    border-radius: 6px;
    background-color: #4673F3;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    color: white;
    cursor: pointer;
    box-shadow: 0px 3px 6px #76767680;
}

    .connectButton:hover {
        box-shadow: 0px 0px 4px #767676;
        background-color: #4673F3;
    }

    .connectButton:active {
        background-color: #2C5CDE;
    }

.contactUsButton {
    display: flex;
    /*min-width: 96px;*/
    width: inherit;
    min-height: 36px;
    padding: 4px 16px 4px 16px;
    border-radius: 6px;
    background-color: #4673F3;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    color: white;
    cursor: pointer;
    box-shadow: 0px 3px 6px #76767680;
    text-decoration: none;
}

    .contactUsButton:hover {
        box-shadow: 0px 0px 4px #767676;
        background-color: #4673F3;
    }

    .contactUsButton:active {
        background-color: #2C5CDE;
    }

.noURLGap {
    height: 78px;
    width: inherit;
}

.infoSection{
    padding: 5px;
}

.disconnectButton {
    color: #4673f3;
    text-decoration: underline;
    padding: 5p;
    font-size: 14px;
    cursor: pointer;
}

.footer {
    height: 48px;
    background-color: white;
    font-size: 14px;
    box-shadow: 0px 0px 6px #AAAAAA;
    padding: 0px 24px;
}

    .footer .footerContents {
        display: flex;
        flex-direction: row;
        align-items: center;
        max-width: 1024px;
        height: inherit;
        margin-left: auto;
        margin-right: auto;
    }

    .footer .footerContents .company {
        flex-grow: 2;
    }

        .footer .footerContents .links {
            margin-left: 32px;
            text-decoration: none;
        }

.modal-layer{
    position: absolute;
    height: 100vh;
    width: 100vw;
}

.modal-layer .modal-container{
    display: flex;
    width: inherit;
    height: inherit;
    align-items: center;
    justify-content: center;
    background-color: #00000033
}

.modal-layer .modal-container .modal-content{
    display: flex;
    flex-direction: column;
    height: 480px;
    width: 640px;
    background-color: white;
    background: #FFFFFF 0% 0% no-repeat padding-box;
    box-shadow: 0px 0px 3px #00000029;
    border-radius: 8px;
    opacity: 1;
    padding: 50px;
}

.modal-container .image-container{
    display: flex;
    justify-content: center;
}

.modal-container .image-container img{
    width: 168px;
    height: 168px;
}

.modal-container .text-container{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
    flex-grow: 2;
}

    .modal-container .text-container p{
        font-size: 24px;
        text-align: center;
    }

.modal-container .button-container{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.5rem;
}

.modal-container .button-container a{
    width: 240px;
    height: 38px;
}

.button-disabled{
    pointer-events: none;
    cursor: default;
    opacity: 0.5;
}

.button-removed {
    display: none;
}

.errorMessage {
    display: none;
    color: red;
}
